<?php

$mongoDBFunctionMap = [
    'MongoDB\BSON\fromJSON' => ['string', 'json' => 'string'],
    'MongoDB\BSON\fromPHP' => ['string', 'value' => 'object|array'],
    'MongoDB\BSON\toCanonicalExtendedJSON' => ['string', 'bson' => 'string'],
    'MongoDB\BSON\toJSON' => ['string', 'bson' => 'string'],
    'MongoDB\BSON\toPHP' => ['object|array', 'bson' => 'string', 'typemap=' => '?array'],
    'MongoDB\BSON\toRelaxedExtendedJSON' => ['string', 'bson' => 'string'],
    'MongoDB\Driver\Monitoring\addSubscriber' => ['void', 'subscriber' => 'MongoDB\Driver\Monitoring\Subscriber'],
    'MongoDB\Driver\Monitoring\removeSubscriber' => ['void', 'subscriber' => 'MongoDB\Driver\Monitoring\Subscriber'],
    'MongoDB\BSON\Binary::__construct' => ['void', 'data' => 'string', 'type=' => 'int'],
    'MongoDB\BSON\Binary::getData' => ['string'],
    'MongoDB\BSON\Binary::getType' => ['int'],
    'MongoDB\BSON\Binary::__toString' => ['string'],
    'MongoDB\BSON\Binary::serialize' => ['string'],
    'MongoDB\BSON\Binary::unserialize' => ['void', 'data' => 'string'],
    'MongoDB\BSON\Binary::jsonSerialize' => ['mixed'],
    'MongoDB\BSON\BinaryInterface::getData' => ['string'],
    'MongoDB\BSON\BinaryInterface::getType' => ['int'],
    'MongoDB\BSON\BinaryInterface::__toString' => ['string'],
    'MongoDB\BSON\DBPointer::__toString' => ['string'],
    'MongoDB\BSON\DBPointer::serialize' => ['string'],
    'MongoDB\BSON\DBPointer::unserialize' => ['void', 'data' => 'string'],
    'MongoDB\BSON\DBPointer::jsonSerialize' => ['mixed'],
    'MongoDB\BSON\Decimal128::__construct' => ['void', 'value' => 'string'],
    'MongoDB\BSON\Decimal128::__toString' => ['string'],
    'MongoDB\BSON\Decimal128::serialize' => ['string'],
    'MongoDB\BSON\Decimal128::unserialize' => ['void', 'data' => 'string'],
    'MongoDB\BSON\Decimal128::jsonSerialize' => ['mixed'],
    'MongoDB\BSON\Decimal128Interface::__toString' => ['string'],
    'MongoDB\BSON\Document::fromBSON' => ['MongoDB\BSON\Document', 'bson' => 'string'],
    'MongoDB\BSON\Document::fromJSON' => ['MongoDB\BSON\Document', 'json' => 'string'],
    'MongoDB\BSON\Document::fromPHP' => ['MongoDB\BSON\Document', 'value' => 'object|array'],
    'MongoDB\BSON\Document::get' => ['mixed', 'key' => 'string'],
    'MongoDB\BSON\Document::getIterator' => ['MongoDB\BSON\Iterator'],
    'MongoDB\BSON\Document::has' => ['bool', 'key' => 'string'],
    'MongoDB\BSON\Document::toPHP' => ['object|array', 'typeMap=' => '?array'],
    'MongoDB\BSON\Document::toCanonicalExtendedJSON' => ['string'],
    'MongoDB\BSON\Document::toRelaxedExtendedJSON' => ['string'],
    'MongoDB\BSON\Document::__toString' => ['string'],
    'MongoDB\BSON\Document::serialize' => ['string'],
    'MongoDB\BSON\Document::unserialize' => ['void', 'data' => 'string'],
    'MongoDB\BSON\Int64::__construct' => ['void', 'value' => 'string|int'],
    'MongoDB\BSON\Int64::__toString' => ['string'],
    'MongoDB\BSON\Int64::serialize' => ['string'],
    'MongoDB\BSON\Int64::unserialize' => ['void', 'data' => 'string'],
    'MongoDB\BSON\Int64::jsonSerialize' => ['mixed'],
    'MongoDB\BSON\Iterator::current' => ['mixed'],
    'MongoDB\BSON\Iterator::key' => ['string|int'],
    'MongoDB\BSON\Iterator::next' => ['void'],
    'MongoDB\BSON\Iterator::rewind' => ['void'],
    'MongoDB\BSON\Iterator::valid' => ['bool'],
    'MongoDB\BSON\Javascript::__construct' => ['void', 'code' => 'string', 'scope=' => 'object|array|null'],
    'MongoDB\BSON\Javascript::getCode' => ['string'],
    'MongoDB\BSON\Javascript::getScope' => ['?object'],
    'MongoDB\BSON\Javascript::__toString' => ['string'],
    'MongoDB\BSON\Javascript::serialize' => ['string'],
    'MongoDB\BSON\Javascript::unserialize' => ['void', 'data' => 'string'],
    'MongoDB\BSON\Javascript::jsonSerialize' => ['mixed'],
    'MongoDB\BSON\JavascriptInterface::getCode' => ['string'],
    'MongoDB\BSON\JavascriptInterface::getScope' => ['?object'],
    'MongoDB\BSON\JavascriptInterface::__toString' => ['string'],
    'MongoDB\BSON\MaxKey::serialize' => ['string'],
    'MongoDB\BSON\MaxKey::unserialize' => ['void', 'data' => 'string'],
    'MongoDB\BSON\MaxKey::jsonSerialize' => ['mixed'],
    'MongoDB\BSON\MinKey::serialize' => ['string'],
    'MongoDB\BSON\MinKey::unserialize' => ['void', 'data' => 'string'],
    'MongoDB\BSON\MinKey::jsonSerialize' => ['mixed'],
    'MongoDB\BSON\ObjectId::__construct' => ['void', 'id=' => '?string'],
    'MongoDB\BSON\ObjectId::getTimestamp' => ['int'],
    'MongoDB\BSON\ObjectId::__toString' => ['string'],
    'MongoDB\BSON\ObjectId::serialize' => ['string'],
    'MongoDB\BSON\ObjectId::unserialize' => ['void', 'data' => 'string'],
    'MongoDB\BSON\ObjectId::jsonSerialize' => ['mixed'],
    'MongoDB\BSON\ObjectIdInterface::getTimestamp' => ['int'],
    'MongoDB\BSON\ObjectIdInterface::__toString' => ['string'],
    'MongoDB\BSON\PackedArray::fromPHP' => ['MongoDB\BSON\PackedArray', 'value' => 'array'],
    'MongoDB\BSON\PackedArray::get' => ['mixed', 'index' => 'int'],
    'MongoDB\BSON\PackedArray::getIterator' => ['MongoDB\BSON\Iterator'],
    'MongoDB\BSON\PackedArray::has' => ['bool', 'index' => 'int'],
    'MongoDB\BSON\PackedArray::toPHP' => ['object|array', 'typeMap=' => '?array'],
    'MongoDB\BSON\PackedArray::__toString' => ['string'],
    'MongoDB\BSON\PackedArray::serialize' => ['string'],
    'MongoDB\BSON\PackedArray::unserialize' => ['void', 'data' => 'string'],
    'MongoDB\BSON\Regex::__construct' => ['void', 'pattern' => 'string', 'flags=' => 'string'],
    'MongoDB\BSON\Regex::getPattern' => ['string'],
    'MongoDB\BSON\Regex::getFlags' => ['string'],
    'MongoDB\BSON\Regex::__toString' => ['string'],
    'MongoDB\BSON\Regex::serialize' => ['string'],
    'MongoDB\BSON\Regex::unserialize' => ['void', 'data' => 'string'],
    'MongoDB\BSON\Regex::jsonSerialize' => ['mixed'],
    'MongoDB\BSON\RegexInterface::getPattern' => ['string'],
    'MongoDB\BSON\RegexInterface::getFlags' => ['string'],
    'MongoDB\BSON\RegexInterface::__toString' => ['string'],
    'MongoDB\BSON\Serializable::bsonSerialize' => ['object|array'],
    'MongoDB\BSON\Symbol::__toString' => ['string'],
    'MongoDB\BSON\Symbol::serialize' => ['string'],
    'MongoDB\BSON\Symbol::unserialize' => ['void', 'data' => 'string'],
    'MongoDB\BSON\Symbol::jsonSerialize' => ['mixed'],
    'MongoDB\BSON\Timestamp::__construct' => ['void', 'increment' => 'string|int', 'timestamp' => 'string|int'],
    'MongoDB\BSON\Timestamp::getTimestamp' => ['int'],
    'MongoDB\BSON\Timestamp::getIncrement' => ['int'],
    'MongoDB\BSON\Timestamp::__toString' => ['string'],
    'MongoDB\BSON\Timestamp::serialize' => ['string'],
    'MongoDB\BSON\Timestamp::unserialize' => ['void', 'data' => 'string'],
    'MongoDB\BSON\Timestamp::jsonSerialize' => ['mixed'],
    'MongoDB\BSON\TimestampInterface::getTimestamp' => ['int'],
    'MongoDB\BSON\TimestampInterface::getIncrement' => ['int'],
    'MongoDB\BSON\TimestampInterface::__toString' => ['string'],
    'MongoDB\BSON\UTCDateTime::__construct' => ['void', 'milliseconds=' => 'DateTimeInterface|string|int|float|null'],
    'MongoDB\BSON\UTCDateTime::toDateTime' => ['DateTime'],
    'MongoDB\BSON\UTCDateTime::__toString' => ['string'],
    'MongoDB\BSON\UTCDateTime::serialize' => ['string'],
    'MongoDB\BSON\UTCDateTime::unserialize' => ['void', 'data' => 'string'],
    'MongoDB\BSON\UTCDateTime::jsonSerialize' => ['mixed'],
    'MongoDB\BSON\UTCDateTimeInterface::toDateTime' => ['DateTime'],
    'MongoDB\BSON\UTCDateTimeInterface::__toString' => ['string'],
    'MongoDB\BSON\Undefined::__toString' => ['string'],
    'MongoDB\BSON\Undefined::serialize' => ['string'],
    'MongoDB\BSON\Undefined::unserialize' => ['void', 'data' => 'string'],
    'MongoDB\BSON\Undefined::jsonSerialize' => ['mixed'],
    'MongoDB\BSON\Unserializable::bsonUnserialize' => ['void', 'data' => 'array'],
    'MongoDB\Driver\BulkWrite::__construct' => ['void', 'options=' => '?array'],
    'MongoDB\Driver\BulkWrite::count' => ['int'],
    'MongoDB\Driver\BulkWrite::delete' => ['void', 'filter' => 'object|array', 'deleteOptions=' => '?array'],
    'MongoDB\Driver\BulkWrite::insert' => ['mixed', 'document' => 'object|array'],
    'MongoDB\Driver\BulkWrite::update' => ['void', 'filter' => 'object|array', 'newObj' => 'object|array', 'updateOptions=' => '?array'],
    'MongoDB\Driver\ClientEncryption::__construct' => ['void', 'options' => 'array'],
    'MongoDB\Driver\ClientEncryption::addKeyAltName' => ['?object', 'keyId' => 'MongoDB\BSON\Binary', 'keyAltName' => 'string'],
    'MongoDB\Driver\ClientEncryption::createDataKey' => ['MongoDB\BSON\Binary', 'kmsProvider' => 'string', 'options=' => '?array'],
    'MongoDB\Driver\ClientEncryption::decrypt' => ['mixed', 'value' => 'MongoDB\BSON\Binary'],
    'MongoDB\Driver\ClientEncryption::deleteKey' => ['object', 'keyId' => 'MongoDB\BSON\Binary'],
    'MongoDB\Driver\ClientEncryption::encrypt' => ['MongoDB\BSON\Binary', 'value' => 'mixed', 'options=' => '?array'],
    'MongoDB\Driver\ClientEncryption::encryptExpression' => ['object', 'expr' => 'object|array', 'options=' => '?array'],
    'MongoDB\Driver\ClientEncryption::getKey' => ['?object', 'keyId' => 'MongoDB\BSON\Binary'],
    'MongoDB\Driver\ClientEncryption::getKeyByAltName' => ['?object', 'keyAltName' => 'string'],
    'MongoDB\Driver\ClientEncryption::getKeys' => ['MongoDB\Driver\Cursor'],
    'MongoDB\Driver\ClientEncryption::removeKeyAltName' => ['?object', 'keyId' => 'MongoDB\BSON\Binary', 'keyAltName' => 'string'],
    'MongoDB\Driver\ClientEncryption::rewrapManyDataKey' => ['object', 'filter' => 'object|array', 'options=' => '?array'],
    'MongoDB\Driver\Command::__construct' => ['void', 'document' => 'object|array', 'commandOptions=' => '?array'],
    'MongoDB\Driver\Cursor::current' => ['object|array|null'],
    'MongoDB\Driver\Cursor::getId' => ['MongoDB\Driver\CursorId'],
    'MongoDB\Driver\Cursor::getServer' => ['MongoDB\Driver\Server'],
    'MongoDB\Driver\Cursor::isDead' => ['bool'],
    'MongoDB\Driver\Cursor::key' => ['?int'],
    'MongoDB\Driver\Cursor::next' => ['void'],
    'MongoDB\Driver\Cursor::rewind' => ['void'],
    'MongoDB\Driver\Cursor::setTypeMap' => ['void', 'typemap' => 'array'],
    'MongoDB\Driver\Cursor::toArray' => ['array'],
    'MongoDB\Driver\Cursor::valid' => ['bool'],
    'MongoDB\Driver\CursorId::__toString' => ['string'],
    'MongoDB\Driver\CursorId::serialize' => ['string'],
    'MongoDB\Driver\CursorId::unserialize' => ['void', 'data' => 'string'],
    'MongoDB\Driver\CursorInterface::getId' => ['MongoDB\Driver\CursorId'],
    'MongoDB\Driver\CursorInterface::getServer' => ['MongoDB\Driver\Server'],
    'MongoDB\Driver\CursorInterface::isDead' => ['bool'],
    'MongoDB\Driver\CursorInterface::setTypeMap' => ['void', 'typemap' => 'array'],
    'MongoDB\Driver\CursorInterface::toArray' => ['array'],
    'MongoDB\Driver\Exception\AuthenticationException::__toString' => ['string'],
    'MongoDB\Driver\Exception\BulkWriteException::__toString' => ['string'],
    'MongoDB\Driver\Exception\CommandException::getResultDocument' => ['object'],
    'MongoDB\Driver\Exception\CommandException::__toString' => ['string'],
    'MongoDB\Driver\Exception\ConnectionException::__toString' => ['string'],
    'MongoDB\Driver\Exception\ConnectionTimeoutException::__toString' => ['string'],
    'MongoDB\Driver\Exception\EncryptionException::__toString' => ['string'],
    'MongoDB\Driver\Exception\Exception::__toString' => ['string'],
    'MongoDB\Driver\Exception\ExecutionTimeoutException::__toString' => ['string'],
    'MongoDB\Driver\Exception\InvalidArgumentException::__toString' => ['string'],
    'MongoDB\Driver\Exception\LogicException::__toString' => ['string'],
    'MongoDB\Driver\Exception\RuntimeException::hasErrorLabel' => ['bool', 'errorLabel' => 'string'],
    'MongoDB\Driver\Exception\RuntimeException::__toString' => ['string'],
    'MongoDB\Driver\Exception\SSLConnectionException::__toString' => ['string'],
    'MongoDB\Driver\Exception\ServerException::__toString' => ['string'],
    'MongoDB\Driver\Exception\UnexpectedValueException::__toString' => ['string'],
    'MongoDB\Driver\Exception\WriteException::getWriteResult' => ['MongoDB\Driver\WriteResult'],
    'MongoDB\Driver\Exception\WriteException::__toString' => ['string'],
    'MongoDB\Driver\Manager::__construct' => ['void', 'uri=' => '?string', 'uriOptions=' => '?array', 'driverOptions=' => '?array'],
    'MongoDB\Driver\Manager::addSubscriber' => ['void', 'subscriber' => 'MongoDB\Driver\Monitoring\Subscriber'],
    'MongoDB\Driver\Manager::createClientEncryption' => ['MongoDB\Driver\ClientEncryption', 'options' => 'array'],
    'MongoDB\Driver\Manager::executeBulkWrite' => ['MongoDB\Driver\WriteResult', 'namespace' => 'string', 'bulk' => 'MongoDB\Driver\BulkWrite', 'options=' => 'MongoDB\Driver\WriteConcern|array|null'],
    'MongoDB\Driver\Manager::executeCommand' => ['MongoDB\Driver\Cursor', 'db' => 'string', 'command' => 'MongoDB\Driver\Command', 'options=' => 'MongoDB\Driver\ReadPreference|array|null'],
    'MongoDB\Driver\Manager::executeQuery' => ['MongoDB\Driver\Cursor', 'namespace' => 'string', 'query' => 'MongoDB\Driver\Query', 'options=' => 'MongoDB\Driver\ReadPreference|array|null'],
    'MongoDB\Driver\Manager::executeReadCommand' => ['MongoDB\Driver\Cursor', 'db' => 'string', 'command' => 'MongoDB\Driver\Command', 'options=' => '?array'],
    'MongoDB\Driver\Manager::executeReadWriteCommand' => ['MongoDB\Driver\Cursor', 'db' => 'string', 'command' => 'MongoDB\Driver\Command', 'options=' => '?array'],
    'MongoDB\Driver\Manager::executeWriteCommand' => ['MongoDB\Driver\Cursor', 'db' => 'string', 'command' => 'MongoDB\Driver\Command', 'options=' => '?array'],
    'MongoDB\Driver\Manager::getEncryptedFieldsMap' => ['object|array|null'],
    'MongoDB\Driver\Manager::getReadConcern' => ['MongoDB\Driver\ReadConcern'],
    'MongoDB\Driver\Manager::getReadPreference' => ['MongoDB\Driver\ReadPreference'],
    'MongoDB\Driver\Manager::getServers' => ['array'],
    'MongoDB\Driver\Manager::getWriteConcern' => ['MongoDB\Driver\WriteConcern'],
    'MongoDB\Driver\Manager::removeSubscriber' => ['void', 'subscriber' => 'MongoDB\Driver\Monitoring\Subscriber'],
    'MongoDB\Driver\Manager::selectServer' => ['MongoDB\Driver\Server', 'readPreference=' => '?MongoDB\Driver\ReadPreference'],
    'MongoDB\Driver\Manager::startSession' => ['MongoDB\Driver\Session', 'options=' => '?array'],
    'MongoDB\Driver\Monitoring\CommandFailedEvent::getCommandName' => ['string'],
    'MongoDB\Driver\Monitoring\CommandFailedEvent::getDurationMicros' => ['int'],
    'MongoDB\Driver\Monitoring\CommandFailedEvent::getError' => ['Exception'],
    'MongoDB\Driver\Monitoring\CommandFailedEvent::getOperationId' => ['string'],
    'MongoDB\Driver\Monitoring\CommandFailedEvent::getReply' => ['object'],
    'MongoDB\Driver\Monitoring\CommandFailedEvent::getRequestId' => ['string'],
    'MongoDB\Driver\Monitoring\CommandFailedEvent::getServer' => ['MongoDB\Driver\Server'],
    'MongoDB\Driver\Monitoring\CommandFailedEvent::getServiceId' => ['?MongoDB\BSON\ObjectId'],
    'MongoDB\Driver\Monitoring\CommandFailedEvent::getServerConnectionId' => ['?int'],
    'MongoDB\Driver\Monitoring\CommandStartedEvent::getCommand' => ['object'],
    'MongoDB\Driver\Monitoring\CommandStartedEvent::getCommandName' => ['string'],
    'MongoDB\Driver\Monitoring\CommandStartedEvent::getDatabaseName' => ['string'],
    'MongoDB\Driver\Monitoring\CommandStartedEvent::getOperationId' => ['string'],
    'MongoDB\Driver\Monitoring\CommandStartedEvent::getRequestId' => ['string'],
    'MongoDB\Driver\Monitoring\CommandStartedEvent::getServer' => ['MongoDB\Driver\Server'],
    'MongoDB\Driver\Monitoring\CommandStartedEvent::getServiceId' => ['?MongoDB\BSON\ObjectId'],
    'MongoDB\Driver\Monitoring\CommandStartedEvent::getServerConnectionId' => ['?int'],
    'MongoDB\Driver\Monitoring\CommandSubscriber::commandStarted' => ['void', 'event' => 'MongoDB\Driver\Monitoring\CommandStartedEvent'],
    'MongoDB\Driver\Monitoring\CommandSubscriber::commandSucceeded' => ['void', 'event' => 'MongoDB\Driver\Monitoring\CommandSucceededEvent'],
    'MongoDB\Driver\Monitoring\CommandSubscriber::commandFailed' => ['void', 'event' => 'MongoDB\Driver\Monitoring\CommandFailedEvent'],
    'MongoDB\Driver\Monitoring\CommandSucceededEvent::getCommandName' => ['string'],
    'MongoDB\Driver\Monitoring\CommandSucceededEvent::getDurationMicros' => ['int'],
    'MongoDB\Driver\Monitoring\CommandSucceededEvent::getOperationId' => ['string'],
    'MongoDB\Driver\Monitoring\CommandSucceededEvent::getReply' => ['object'],
    'MongoDB\Driver\Monitoring\CommandSucceededEvent::getRequestId' => ['string'],
    'MongoDB\Driver\Monitoring\CommandSucceededEvent::getServer' => ['MongoDB\Driver\Server'],
    'MongoDB\Driver\Monitoring\CommandSucceededEvent::getServiceId' => ['?MongoDB\BSON\ObjectId'],
    'MongoDB\Driver\Monitoring\CommandSucceededEvent::getServerConnectionId' => ['?int'],
    'MongoDB\Driver\Monitoring\SDAMSubscriber::serverChanged' => ['void', 'event' => 'MongoDB\Driver\Monitoring\ServerChangedEvent'],
    'MongoDB\Driver\Monitoring\SDAMSubscriber::serverClosed' => ['void', 'event' => 'MongoDB\Driver\Monitoring\ServerClosedEvent'],
    'MongoDB\Driver\Monitoring\SDAMSubscriber::serverOpening' => ['void', 'event' => 'MongoDB\Driver\Monitoring\ServerOpeningEvent'],
    'MongoDB\Driver\Monitoring\SDAMSubscriber::serverHeartbeatFailed' => ['void', 'event' => 'MongoDB\Driver\Monitoring\ServerHeartbeatFailedEvent'],
    'MongoDB\Driver\Monitoring\SDAMSubscriber::serverHeartbeatStarted' => ['void', 'event' => 'MongoDB\Driver\Monitoring\ServerHeartbeatStartedEvent'],
    'MongoDB\Driver\Monitoring\SDAMSubscriber::serverHeartbeatSucceeded' => ['void', 'event' => 'MongoDB\Driver\Monitoring\ServerHeartbeatSucceededEvent'],
    'MongoDB\Driver\Monitoring\SDAMSubscriber::topologyChanged' => ['void', 'event' => 'MongoDB\Driver\Monitoring\TopologyChangedEvent'],
    'MongoDB\Driver\Monitoring\SDAMSubscriber::topologyClosed' => ['void', 'event' => 'MongoDB\Driver\Monitoring\TopologyClosedEvent'],
    'MongoDB\Driver\Monitoring\SDAMSubscriber::topologyOpening' => ['void', 'event' => 'MongoDB\Driver\Monitoring\TopologyOpeningEvent'],
    'MongoDB\Driver\Monitoring\ServerChangedEvent::getPort' => ['int'],
    'MongoDB\Driver\Monitoring\ServerChangedEvent::getHost' => ['string'],
    'MongoDB\Driver\Monitoring\ServerChangedEvent::getNewDescription' => ['MongoDB\Driver\ServerDescription'],
    'MongoDB\Driver\Monitoring\ServerChangedEvent::getPreviousDescription' => ['MongoDB\Driver\ServerDescription'],
    'MongoDB\Driver\Monitoring\ServerChangedEvent::getTopologyId' => ['MongoDB\BSON\ObjectId'],
    'MongoDB\Driver\Monitoring\ServerClosedEvent::getPort' => ['int'],
    'MongoDB\Driver\Monitoring\ServerClosedEvent::getHost' => ['string'],
    'MongoDB\Driver\Monitoring\ServerClosedEvent::getTopologyId' => ['MongoDB\BSON\ObjectId'],
    'MongoDB\Driver\Monitoring\ServerHeartbeatFailedEvent::getDurationMicros' => ['int'],
    'MongoDB\Driver\Monitoring\ServerHeartbeatFailedEvent::getError' => ['Exception'],
    'MongoDB\Driver\Monitoring\ServerHeartbeatFailedEvent::getPort' => ['int'],
    'MongoDB\Driver\Monitoring\ServerHeartbeatFailedEvent::getHost' => ['string'],
    'MongoDB\Driver\Monitoring\ServerHeartbeatFailedEvent::isAwaited' => ['bool'],
    'MongoDB\Driver\Monitoring\ServerHeartbeatStartedEvent::getPort' => ['int'],
    'MongoDB\Driver\Monitoring\ServerHeartbeatStartedEvent::getHost' => ['string'],
    'MongoDB\Driver\Monitoring\ServerHeartbeatStartedEvent::isAwaited' => ['bool'],
    'MongoDB\Driver\Monitoring\ServerHeartbeatSucceededEvent::getDurationMicros' => ['int'],
    'MongoDB\Driver\Monitoring\ServerHeartbeatSucceededEvent::getReply' => ['object'],
    'MongoDB\Driver\Monitoring\ServerHeartbeatSucceededEvent::getPort' => ['int'],
    'MongoDB\Driver\Monitoring\ServerHeartbeatSucceededEvent::getHost' => ['string'],
    'MongoDB\Driver\Monitoring\ServerHeartbeatSucceededEvent::isAwaited' => ['bool'],
    'MongoDB\Driver\Monitoring\ServerOpeningEvent::getPort' => ['int'],
    'MongoDB\Driver\Monitoring\ServerOpeningEvent::getHost' => ['string'],
    'MongoDB\Driver\Monitoring\ServerOpeningEvent::getTopologyId' => ['MongoDB\BSON\ObjectId'],
    'MongoDB\Driver\Monitoring\TopologyChangedEvent::getNewDescription' => ['MongoDB\Driver\TopologyDescription'],
    'MongoDB\Driver\Monitoring\TopologyChangedEvent::getPreviousDescription' => ['MongoDB\Driver\TopologyDescription'],
    'MongoDB\Driver\Monitoring\TopologyChangedEvent::getTopologyId' => ['MongoDB\BSON\ObjectId'],
    'MongoDB\Driver\Monitoring\TopologyClosedEvent::getTopologyId' => ['MongoDB\BSON\ObjectId'],
    'MongoDB\Driver\Monitoring\TopologyOpeningEvent::getTopologyId' => ['MongoDB\BSON\ObjectId'],
    'MongoDB\Driver\Query::__construct' => ['void', 'filter' => 'object|array', 'queryOptions=' => '?array'],
    'MongoDB\Driver\ReadConcern::__construct' => ['void', 'level=' => '?string'],
    'MongoDB\Driver\ReadConcern::getLevel' => ['?string'],
    'MongoDB\Driver\ReadConcern::isDefault' => ['bool'],
    'MongoDB\Driver\ReadConcern::bsonSerialize' => ['object|array'],
    'MongoDB\Driver\ReadConcern::serialize' => ['string'],
    'MongoDB\Driver\ReadConcern::unserialize' => ['void', 'data' => 'string'],
    'MongoDB\Driver\ReadPreference::__construct' => ['void', 'mode' => 'string|int', 'tagSets=' => '?array', 'options=' => '?array'],
    'MongoDB\Driver\ReadPreference::getHedge' => ['?object'],
    'MongoDB\Driver\ReadPreference::getMaxStalenessSeconds' => ['int'],
    'MongoDB\Driver\ReadPreference::getMode' => ['int'],
    'MongoDB\Driver\ReadPreference::getModeString' => ['string'],
    'MongoDB\Driver\ReadPreference::getTagSets' => ['array'],
    'MongoDB\Driver\ReadPreference::bsonSerialize' => ['object|array'],
    'MongoDB\Driver\ReadPreference::serialize' => ['string'],
    'MongoDB\Driver\ReadPreference::unserialize' => ['void', 'data' => 'string'],
    'MongoDB\Driver\Server::executeBulkWrite' => ['MongoDB\Driver\WriteResult', 'namespace' => 'string', 'bulkWrite' => 'MongoDB\Driver\BulkWrite', 'options=' => 'MongoDB\Driver\WriteConcern|array|null'],
    'MongoDB\Driver\Server::executeCommand' => ['MongoDB\Driver\Cursor', 'db' => 'string', 'command' => 'MongoDB\Driver\Command', 'options=' => 'MongoDB\Driver\ReadPreference|array|null'],
    'MongoDB\Driver\Server::executeQuery' => ['MongoDB\Driver\Cursor', 'namespace' => 'string', 'query' => 'MongoDB\Driver\Query', 'options=' => 'MongoDB\Driver\ReadPreference|array|null'],
    'MongoDB\Driver\Server::executeReadCommand' => ['MongoDB\Driver\Cursor', 'db' => 'string', 'command' => 'MongoDB\Driver\Command', 'options=' => '?array'],
    'MongoDB\Driver\Server::executeReadWriteCommand' => ['MongoDB\Driver\Cursor', 'db' => 'string', 'command' => 'MongoDB\Driver\Command', 'options=' => '?array'],
    'MongoDB\Driver\Server::executeWriteCommand' => ['MongoDB\Driver\Cursor', 'db' => 'string', 'command' => 'MongoDB\Driver\Command', 'options=' => '?array'],
    'MongoDB\Driver\Server::getHost' => ['string'],
    'MongoDB\Driver\Server::getInfo' => ['array'],
    'MongoDB\Driver\Server::getLatency' => ['?int'],
    'MongoDB\Driver\Server::getPort' => ['int'],
    'MongoDB\Driver\Server::getServerDescription' => ['MongoDB\Driver\ServerDescription'],
    'MongoDB\Driver\Server::getTags' => ['array'],
    'MongoDB\Driver\Server::getType' => ['int'],
    'MongoDB\Driver\Server::isArbiter' => ['bool'],
    'MongoDB\Driver\Server::isHidden' => ['bool'],
    'MongoDB\Driver\Server::isPassive' => ['bool'],
    'MongoDB\Driver\Server::isPrimary' => ['bool'],
    'MongoDB\Driver\Server::isSecondary' => ['bool'],
    'MongoDB\Driver\ServerApi::__construct' => ['void', 'version' => 'string', 'strict=' => '?bool', 'deprecationErrors=' => '?bool'],
    'MongoDB\Driver\ServerApi::bsonSerialize' => ['object|array'],
    'MongoDB\Driver\ServerApi::serialize' => ['string'],
    'MongoDB\Driver\ServerApi::unserialize' => ['void', 'data' => 'string'],
    'MongoDB\Driver\ServerDescription::getHelloResponse' => ['array'],
    'MongoDB\Driver\ServerDescription::getHost' => ['string'],
    'MongoDB\Driver\ServerDescription::getLastUpdateTime' => ['int'],
    'MongoDB\Driver\ServerDescription::getPort' => ['int'],
    'MongoDB\Driver\ServerDescription::getRoundTripTime' => ['?int'],
    'MongoDB\Driver\ServerDescription::getType' => ['string'],
    'MongoDB\Driver\Session::abortTransaction' => ['void'],
    'MongoDB\Driver\Session::advanceClusterTime' => ['void', 'clusterTime' => 'object|array'],
    'MongoDB\Driver\Session::advanceOperationTime' => ['void', 'operationTime' => 'MongoDB\BSON\TimestampInterface'],
    'MongoDB\Driver\Session::commitTransaction' => ['void'],
    'MongoDB\Driver\Session::endSession' => ['void'],
    'MongoDB\Driver\Session::getClusterTime' => ['?object'],
    'MongoDB\Driver\Session::getLogicalSessionId' => ['object'],
    'MongoDB\Driver\Session::getOperationTime' => ['?MongoDB\BSON\Timestamp'],
    'MongoDB\Driver\Session::getServer' => ['?MongoDB\Driver\Server'],
    'MongoDB\Driver\Session::getTransactionOptions' => ['?array'],
    'MongoDB\Driver\Session::getTransactionState' => ['string'],
    'MongoDB\Driver\Session::isDirty' => ['bool'],
    'MongoDB\Driver\Session::isInTransaction' => ['bool'],
    'MongoDB\Driver\Session::startTransaction' => ['void', 'options=' => '?array'],
    'MongoDB\Driver\TopologyDescription::getServers' => ['array'],
    'MongoDB\Driver\TopologyDescription::getType' => ['string'],
    'MongoDB\Driver\TopologyDescription::hasReadableServer' => ['bool', 'readPreference=' => '?MongoDB\Driver\ReadPreference'],
    'MongoDB\Driver\TopologyDescription::hasWritableServer' => ['bool'],
    'MongoDB\Driver\WriteConcern::__construct' => ['void', 'w' => 'string|int', 'wtimeout=' => '?int', 'journal=' => '?bool'],
    'MongoDB\Driver\WriteConcern::getJournal' => ['?bool'],
    'MongoDB\Driver\WriteConcern::getW' => ['string|int|null'],
    'MongoDB\Driver\WriteConcern::getWtimeout' => ['int'],
    'MongoDB\Driver\WriteConcern::isDefault' => ['bool'],
    'MongoDB\Driver\WriteConcern::bsonSerialize' => ['object|array'],
    'MongoDB\Driver\WriteConcern::serialize' => ['string'],
    'MongoDB\Driver\WriteConcern::unserialize' => ['void', 'data' => 'string'],
    'MongoDB\Driver\WriteConcernError::getCode' => ['int'],
    'MongoDB\Driver\WriteConcernError::getInfo' => ['?object'],
    'MongoDB\Driver\WriteConcernError::getMessage' => ['string'],
    'MongoDB\Driver\WriteError::getCode' => ['int'],
    'MongoDB\Driver\WriteError::getIndex' => ['int'],
    'MongoDB\Driver\WriteError::getInfo' => ['?object'],
    'MongoDB\Driver\WriteError::getMessage' => ['string'],
    'MongoDB\Driver\WriteResult::getInsertedCount' => ['?int'],
    'MongoDB\Driver\WriteResult::getMatchedCount' => ['?int'],
    'MongoDB\Driver\WriteResult::getModifiedCount' => ['?int'],
    'MongoDB\Driver\WriteResult::getDeletedCount' => ['?int'],
    'MongoDB\Driver\WriteResult::getUpsertedCount' => ['?int'],
    'MongoDB\Driver\WriteResult::getServer' => ['MongoDB\Driver\Server'],
    'MongoDB\Driver\WriteResult::getUpsertedIds' => ['array'],
    'MongoDB\Driver\WriteResult::getWriteConcernError' => ['?MongoDB\Driver\WriteConcernError'],
    'MongoDB\Driver\WriteResult::getWriteErrors' => ['array'],
    'MongoDB\Driver\WriteResult::getErrorReplies' => ['array'],
    'MongoDB\Driver\WriteResult::isAcknowledged' => ['bool'],
];
